# jul/05/2017 17:03:22 by RouterOS 6.37.4
# software id = 7FIE-DWMB
#
/interface ethernet
set [ find default-name=ether4 ] disabled=yes
set [ find default-name=ether5 ] disabled=yes
set [ find default-name=ether6 ] name=ether6RP
set [ find default-name=ether7 ] disabled=yes
set [ find default-name=ether8 ] arp=proxy-arp
set [ find default-name=ether9 ] arp=proxy-arp
set [ find default-name=ether10 ] arp=proxy-arp
set [ find default-name=sfp1 ] disabled=yes
/interface pptp-server
add name=pptp-in1 user=new
/ip neighbor discovery
set ether1 discover=no
set ether2 discover=no
set ether3 discover=no
set ether4 discover=no
set ether5 discover=no
set ether7 discover=no
set sfp1 discover=no
/interface list
add name=WAN
/ip ipsec proposal
set [ find default=yes ] enc-algorithms=\
    aes-256-cbc,aes-192-cbc,aes-128-cbc,3des
/ip pool
add name=pool1 ranges=192.168.11.2,192.168.11.5
add name=pool2 ranges=192.168.12.2,192.168.12.5
add name=pool3 ranges=192.168.13.2,192.168.13.5
add name=pptp ranges=192.168.14.1,192.168.14.100
/ip dhcp-server
add add-arp=yes address-pool=pool1 disabled=no interface=ether8 lease-time=1d \
    name=11
add add-arp=yes address-pool=pool2 disabled=no interface=ether9 lease-time=1d \
    name=12
add add-arp=yes address-pool=pool3 disabled=no interface=ether10 lease-time=\
    1d name=13
/interface bridge port
add comment=defconf interface=ether2
add comment=defconf interface=ether6RP
add comment=defconf interface=sfp1
/interface l2tp-server server
set authentication=mschap2 ipsec-secret=AleksDubovik use-ipsec=yes
/interface list member
add interface=ether1 list=WAN
add interface=ether2 list=WAN
add interface=ether3 list=WAN
/interface pptp-server server
set authentication=chap,mschap1,mschap2 enabled=yes keepalive-timeout=100
/ip address
add address=192.168.0.251/24 comment=RP interface=ether6RP network=\
    192.168.0.0
add address=192.168.11.1/24 comment=LAN interface=ether8 network=192.168.11.0
add address=192.168.12.1/24 interface=ether9 network=192.168.12.0
add address=192.168.13.1/24 interface=ether10 network=192.168.13.0
add address=***.***.***.74 comment=WAN disabled=yes interface=ether1 network=\
    ***.***.***.0
add address=***.***.***.101 disabled=yes interface=ether2 network=***.***.***.0
add address=***.***.***.126 disabled=yes interface=ether3 network=***.***.***.0
/ip dhcp-client
add add-default-route=no dhcp-options=hostname,clientid disabled=no \
    interface=ether1
add add-default-route=no dhcp-options=hostname,clientid disabled=no \
    interface=ether3
add add-default-route=no dhcp-options=hostname,clientid disabled=no \
    interface=ether2
/ip dhcp-server network
add address=192.168.11.1/32 dns-server=192.168.11.1 gateway=192.168.11.1 \
    netmask=24
add address=192.168.12.1/32 dns-server=192.168.12.1 gateway=192.168.12.1 \
    netmask=24
add address=192.168.13.1/32 dns-server=192.168.13.1 gateway=192.168.13.1 \
    netmask=24
/ip dns
set allow-remote-requests=yes servers=77.88.8.8
/ip dns static
add address=192.168.88.1 name=router
/ip firewall address-list
add address=0.0.0.0/8 list=BOGON
add address=10.0.0.0/8 list=BOGON
add address=100.64.0.0/10 list=BOGON
add address=127.0.0.0/8 list=BOGON
add address=169.254.0.0/16 list=BOGON
add address=172.16.0.0/12 list=BOGON
add address=192.0.0.0/24 list=BOGON
add address=192.0.2.0/24 list=BOGON
add address=192.168.0.0/16 list=BOGON
add address=198.18.0.0/15 list=BOGON
add address=198.51.100.0/24 list=BOGON
add address=203.0.113.0/24 list=BOGON
add address=224.0.0.0/4 list=BOGON
add address=240.0.0.0/4 list=BOGON
/ip firewall filter
add action=fasttrack-connection chain=forward connection-state=\
    established,related
add action=accept chain=input dst-address-list="" dst-port=1723,1701,445 \
    in-interface=ether3 log=yes log-prefix=pptp protocol=tcp
add action=accept chain=input connection-state=established,related,new \
    in-interface-list=WAN log=yes log-prefix=gre protocol=gre
add action=accept chain=input protocol=icmp
add action=accept chain=input connection-state=new disabled=yes in-interface=\
    ether3 protocol=ipsec-esp
add action=accept chain=input connection-state=new disabled=yes dst-port=\
    1701,500,4500 in-interface=ether3 protocol=udp
add action=drop chain=input comment=Pings_Drop in-interface-list=WAN \
    protocol=icmp
add action=add-dst-to-address-list address-list=connection-limit \
    address-list-timeout=1d chain=input comment=Connection_limit \
    connection-limit=200,32 in-interface-list=WAN protocol=tcp
add action=drop chain=input comment=Adr_list_connection-limit_drop \
    in-interface-list=WAN src-address-list=connection-limit
add action=add-src-to-address-list address-list=perebor_portov_drop \
    address-list-timeout=30m chain=input comment=Perebor_portov_add_list \
    dst-port=22 in-interface-list=WAN log=yes log-prefix=Attack protocol=tcp
add action=drop chain=input comment=Perebor_portov_list_drop \
    in-interface-list=WAN src-address-list=perebor_portov_drop
add action=drop chain=input comment=Port_scanner_drop src-address-list=\
    "port scanners"
add action=add-src-to-address-list address-list="port scanners" \
    address-list-timeout=2w chain=input in-interface-list=WAN protocol=tcp \
    psd=21,3s,3,1
add action=add-src-to-address-list address-list="port scanners" \
    address-list-timeout=2w chain=input in-interface-list=WAN protocol=tcp \
    tcp-flags=fin,!syn,!rst,!psh,!ack,!urg
add action=add-src-to-address-list address-list="port scanners" \
    address-list-timeout=2w chain=input in-interface-list=WAN protocol=tcp \
    tcp-flags=fin,syn
add action=add-src-to-address-list address-list="port scanners" \
    address-list-timeout=2w chain=input in-interface-list=WAN protocol=tcp \
    tcp-flags=syn,rst
add action=add-src-to-address-list address-list="port scanners" \
    address-list-timeout=2w chain=input in-interface-list=WAN protocol=tcp \
    tcp-flags=fin,psh,urg,!syn,!rst,!ack
add action=add-src-to-address-list address-list="port scanners" \
    address-list-timeout=2w chain=input in-interface-list=WAN protocol=tcp \
    tcp-flags=fin,syn,rst,psh,ack,urg
add action=add-src-to-address-list address-list="port scanners" \
    address-list-timeout=2w chain=input in-interface-list=WAN protocol=tcp \
    tcp-flags=!fin,!syn,!rst,!psh,!ack,!urg
add action=drop chain=input comment=Drop_winbox_black_list dst-port=5323,5324 \
    in-interface-list=WAN protocol=tcp src-address-list=black_list
add action=add-src-to-address-list address-list=black_list \
    address-list-timeout=5m chain=input comment=Winbox_add_black_list \
    connection-state=new dst-port=5323,5324 in-interface-list=WAN protocol=\
    tcp src-address-list=Winbox_Ssh_stage3
add action=add-src-to-address-list address-list=Winbox_Ssh_stage3 \
    address-list-timeout=1m chain=input comment=Winbox_Ssh_stage3 \
    connection-state=new dst-port=5323,5324 in-interface-list=WAN protocol=\
    tcp src-address-list=Winbox_Ssh_stage2
add action=add-src-to-address-list address-list=Winbox_Ssh_stage2 \
    address-list-timeout=1m chain=input comment=Winbox_Ssh_stage2 \
    connection-state=new dst-port=5323,5324 in-interface-list=WAN protocol=\
    tcp src-address-list=Winbox_Ssh_stage1
add action=add-src-to-address-list address-list=Winbox_Ssh_stage1 \
    address-list-timeout=1m chain=input comment=Winbox_Ssh_stage1 \
    connection-state=new dst-port=5323,5324 in-interface-list=WAN protocol=\
    tcp
add action=accept chain=input comment=Accept_Winbox_Ssh dst-port=5323,5324 \
    in-interface-list=WAN protocol=tcp
add action=drop chain=input comment=Bogon_Wan_Drop in-interface-list=WAN \
    src-address-list=BOGON
add action=accept chain=input comment=accept connection-state=established
add action=accept chain=input connection-state=related
add action=accept chain=input dst-port=5000,5010,5013 in-interface-list=WAN \
    protocol=tcp
add action=accept chain=input dst-port=22728,5894,8080 in-interface=ether6RP \
    protocol=tcp
add action=accept chain=output protocol=tcp src-port=1723
add action=drop chain=input in-interface-list=WAN
add action=accept chain=forward connection-state=established,related
add action=drop chain=forward connection-state=invalid
/ip firewall mangle
add action=mark-routing chain=prerouting disabled=yes new-routing-mark=L1 \
    passthrough=no src-address=192.168.11.2
add action=mark-routing chain=prerouting disabled=yes new-routing-mark=L2 \
    passthrough=no src-address=192.168.12.2
add action=mark-routing chain=prerouting disabled=yes new-routing-mark=L3 \
    passthrough=no src-address=192.168.13.2
add action=mark-routing chain=prerouting disabled=yes new-routing-mark=RP \
    passthrough=no src-address=192.168.0.0/24
/ip firewall nat
add action=dst-nat chain=dstnat dst-port=5000 protocol=tcp to-addresses=\
    192.168.13.2 to-ports=5000
add action=dst-nat chain=dstnat dst-port=5013 protocol=tcp to-addresses=\
    192.168.12.2 to-ports=5013
add action=dst-nat chain=dstnat dst-port=5010 protocol=tcp to-addresses=\
    192.168.11.2 to-ports=5010
add action=masquerade chain=srcnat out-interface=ether1
add action=masquerade chain=srcnat out-interface=ether2
add action=masquerade chain=srcnat out-interface=ether3
add action=dst-nat chain=dstnat disabled=yes dst-port=1723 in-interface=\
    ether3 protocol=tcp to-addresses=192.168.13.1 to-ports=1723
add action=dst-nat chain=dstnat disabled=yes dst-port=445 in-interface=ether3 \
    protocol=tcp to-addresses=192.168.13.2 to-ports=445
add action=src-nat chain=srcnat disabled=yes dst-address=!192.168.0.0/24 \
    out-interface=ether1 routing-mark=L1 src-address=192.168.11.0/24 \
    to-addresses=***.***.***.74
add action=src-nat chain=srcnat disabled=yes dst-address=!192.168.0.0/24 \
    out-interface=ether2 routing-mark=L2 src-address=192.168.12.0/24 \
    to-addresses=***.***.***.101
add action=src-nat chain=srcnat disabled=yes dst-address=!192.168.0.0/24 \
    out-interface=ether3 routing-mark=L3 src-address=192.168.13.0/24 \
    to-addresses=***.***.***.126
/ip firewall service-port
set ftp disabled=yes
set tftp disabled=yes
set irc disabled=yes
set h323 disabled=yes
set sip disabled=yes
set udplite disabled=yes
set dccp disabled=yes
set sctp disabled=yes
/ip route
add distance=1 gateway=ether1 routing-mark=L1
add distance=1 gateway=ether2 routing-mark=L2
add distance=1 gateway=ether3 routing-mark=L3
add distance=1 gateway=ether1 routing-mark=RP
/ip service
set telnet disabled=yes
set ftp disabled=yes
set www port=8080
set ssh address=192.168.0.0/24 port=22728
set api disabled=yes
set winbox address=192.168.0.0/24 port=5894
set api-ssl disabled=yes
/ppp secret
add local-address=192.168.14.1 name=new password=pass profile=\
    default-encryption remote-address=192.168.14.10
/system clock
set time-zone-name=Europe/Moscow
/system clock manual
set dst-end="jan/01/2020 00:00:00" dst-start="jun/27/2017 00:00:00"
/system ntp client
set enabled=yes primary-ntp=91.226.136.155
/tool mac-server
set [ find default=yes ] disabled=yes
add interface=ether6RP
/tool mac-server mac-winbox
set [ find default=yes ] disabled=yes
add interface=ether6RP
